All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Interface MenuItemNodeInterface

All Superinterfaces:
  NodeInterface, SimpleNodeInterface

All Known Subinterfaces:
  MenuNodeInterface

All Known Implementing Classes:
  MenuItemNode, MenuNode

    public interface MenuItemNodeInterface

extends NodeInterface

MenuItemNodeInterface defines methods for providing and getting menu item properties.

See Also:
  `MenuItemInterface`

Method Summary
`abstract java.lang.String` | `getCustomAction()` Returns custom action on the menu
`abstract java.lang.String` | `getDisabledImage()` Returns the disabledImage
`abstract boolean` | `getEnabled()` Returns the state for the current menu item.
`abstract java.lang.String` | `getImage()` Returns the image displayed on the menu item
`abstract java.lang.String` | `getLabel()` Returns the label on the menu item
`abstract java.lang.String` | `getStyleClassPrefix()` Gets the styleClassPrefix of the menu item
`abstract java.lang.String` | `getTarget()` getTarget returns the value of the TARGET= argument used on the anchor tags generated.
`abstract java.lang.String` | `getURL()` Returns the url associated with the menu item
`abstract void` | `setCustomAction(java.lang.String action)` Sets a custom action on the menu
`abstract void` | `setDisabledImage(java.lang.String image)` Sets the disabled image that will be displayed when the menu is disabled
`abstract void` | `setEnabled(boolean enabled)` Sets the state for the current menu item
`abstract void` | `setImage(java.lang.String image)` Sets the image displayed in the menu item
`abstract void` | `setLabel(java.lang.String label)` Sets the label on the menu item
`abstract void` | `setStyleClassPrefix(java.lang.String styleClassPrefix)` Sets the styleClassPrefix of the menu item
`abstract void` | `setTarget(java.lang.String value)` Sets the value of the TARGET= argument used on the anchor tags generated.
`abstract void` | `setURL(java.lang.String url)` Sets the url associated with the menu item

Methods inherited from interface com.sas.models.NodeInterface
`getNodeExpandedText, getNodeText, getNodeType`

Methods inherited from interface com.sas.models.SimpleNodeInterface
`countNodeChildren, getNodeChild, getNodeChildCount, getNodeChildren, isLeafNode`

Method Detail

### getLabel

    java.lang.String getLabel()

  Returns the label on the menu item

  Returns:
    the label on the menu item

### setLabel

    void setLabel(java.lang.String label)

  Sets the label on the menu item

  Parameters:
    `label` - the label on the menu item

### getImage

    java.lang.String getImage()

  Returns the image displayed on the menu item

  Returns:
    image displayed on the menu item

### setImage

    void setImage(java.lang.String image)

  Sets the image displayed in the menu item

  Parameters:
    `image` - image displayed in the menu item

### getDisabledImage

    java.lang.String getDisabledImage()

  Returns the disabledImage

  Returns:
    image displayed on the menu item when the menu item is disalbed

### setDisabledImage

    void setDisabledImage(java.lang.String image)

  Sets the disabled image that will be displayed when the menu is disabled

  Parameters:
    `image` - image displayed when the menu item is disabled

### getURL

    java.lang.String getURL()

  Returns the url associated with the menu item

  Returns:
    the url associated with the menu item

### setURL

    void setURL(java.lang.String url)

  Sets the url associated with the menu item

  Parameters:
    `link` - url link associated with the menu item

### getTarget

    java.lang.String getTarget()

  getTarget returns the value of the TARGET= argument used on the anchor tags generated. This value determines where/how the links associated with the menu/menu items.

  Returns:
    TARGET= argument of the anchor tags

### setTarget

    void setTarget(java.lang.String value)

  Sets the value of the TARGET= argument used on the anchor tags generated.

  Parameters:
    `value` - The value of the TARGET= argument on the anchor tag

### setStyleClassPrefix

    void setStyleClassPrefix(java.lang.String styleClassPrefix)

  Sets the styleClassPrefix of the menu item

  Parameters:
    `styleClassPrefix` - the prefix to use on the class

### getStyleClassPrefix

    java.lang.String getStyleClassPrefix()

  Gets the styleClassPrefix of the menu item

  Parameters:
    `styleClassPrefix` - the prefix used on the class

### getEnabled

    boolean getEnabled()

  Returns the state for the current menu item.

  Returns:
    the state for the current menu item - true means enabled

### setEnabled

    void setEnabled(boolean enabled)

  Sets the state for the current menu item

  Parameters:
    `enabled` - state of the current menu item

### getCustomAction

    java.lang.String getCustomAction()

  Returns custom action on the menu

  Returns:
    custom action on the menu

### setCustomAction

    void setCustomAction(java.lang.String action)

  Sets a custom action on the menu

  Parameters:
    `custom` - action on the menu

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.